aboutsummaryrefslogtreecommitdiffstats
path: root/testing/ruby-net-ldap/APKBUILD
diff options
context:
space:
mode:
authorCarlo Landmeter <clandmeter@gmail.com>2012-10-29 13:22:44 +0100
committerCarlo Landmeter <clandmeter@gmail.com>2012-10-29 13:22:44 +0100
commit554e1beb2f4f53312447bbf0e251c09cea7d1e3e (patch)
tree3ea9abe318c7ee5001216aec5f328de9ab27a58b /testing/ruby-net-ldap/APKBUILD
parent1da52e96139d5ec80b098a9dd9a93701aaf035d7 (diff)
downloadaports-554e1beb2f4f53312447bbf0e251c09cea7d1e3e.tar.gz
aports-554e1beb2f4f53312447bbf0e251c09cea7d1e3e.tar.bz2
aports-554e1beb2f4f53312447bbf0e251c09cea7d1e3e.tar.xz
testing/ruby-net-ldap: new aport
Diffstat (limited to 'testing/ruby-net-ldap/APKBUILD')
-rw-r--r--testing/ruby-net-ldap/APKBUILD35
1 files changed, 35 insertions, 0 deletions
diff --git a/testing/ruby-net-ldap/APKBUILD b/testing/ruby-net-ldap/APKBUILD
new file mode 100644
index 0000000000..6275aab468
--- /dev/null
+++ b/testing/ruby-net-ldap/APKBUILD
@@ -0,0 +1,35 @@
+# Contributor: Carlo Landmeter <clandmeter@gmail.com>
+_gemname=net-ldap
+pkgname=ruby-net-ldap
+pkgver=0.3.1
+pkgrel=0
+pkgdesc="Ruby ldap client"
+url="http://rubyldap.com/"
+arch="noarch"
+license="MIT"
+depends="ruby"
+depends_dev=
+makedepends="$depends_dev ruby-gems"
+install=""
+subpackages=""
+source="http://gems.rubyforge.org/gems/$_gemname-$pkgver.gem"
+
+_builddir="$srcdir"/$_realname-$pkgver
+build() {
+ return 0
+}
+
+package() {
+ local _gemdir="$(ruby -rubygems -e'puts Gem.default_dir')"
+ local _geminstdir=$_gemdir/gems/$_gemname-$pkgver
+ mkdir -p "$pkgdir" || return 1
+
+ gem install --local --install-dir "$pkgdir"/$_gemdir \
+ --ignore-dependencies --verbose --no-rdoc --no-ri \
+ "$srcdir"/$_gemname-$pkgver.gem || return 1
+ rm -rf "$pkgdir"/$_gemdir/cache \
+ "$pkgdir"/$_geminstdir/ext \
+ "$pkgdir"/$_geminstdir/.require_paths
+}
+
+md5sums="96c39c91619446256936b3c81b554c93 net-ldap-0.3.1.gem"